group = "dev.carlosmartino.navigation"

plugins {
    alias(libs.plugins.kotlinDevKit)
    alias(libs.plugins.composeDevKit)
}

kotlin {
    sourceSets {
        commonMain.dependencies {
            api(libs.compose.multiplatform.navigation)
            implementation(projects.core.common)
            implementation(projects.core.designsystem)
        }

        androidMain.dependencies {
            api(libs.androidx.compose.navigation)
        }
    }
}

compose.resources {
    publicResClass = true
    packageOfResClass = "dev.carlosmartino.navigation.resources"
    generateResClass = always
}
